$label-max-width: 100%;

.gl-label {
  @include gl-p-0;
  @include gl-bg-white-light;
  @include gl-overflow-hidden;
  @include gl-display-inline-flex;
  @include gl-rounded-pill;
  @include gl-relative;
  @include gl-max-w-full;
  @include gl-font-base;

  > .gl-label-link {
    @include gl-line-height-normal;
    @include gl-display-flex;
    @include gl-color-inherit;
    @include gl-max-w-full;

    &:hover {
      @include gl-text-decoration-color-inherit;
    }
  }

  .gl-label-text {
    @include gl-display-block;
    @include gl-px-3;
    @include gl-py-2;
    @include gl-font-weight-normal;
    @include gl-font-sm;
    @include str-truncated($label-max-width);
  }

  .gl-label-icon {
    @include gl-text-gray-500;
    @include gl-display-inline-flex;
    @include gl-align-items-center;
    @include gl-ml-2;
    @include gl-pr-3;
    @include gl-absolute;
    @include gl-right-0;
    @include gl-h-5;
    @include gl-py-4;
  }

  &-text-dark {
    @include gl-text-black-normal;
  }

  &-text-light {
    @include gl-text-white-light;
  }

  &-scoped {
    .gl-label-text {
      &:first-child {
        @include gl-pr-2;
      }

      &:last-child {
        @include gl-bg-transparent;
        @include gl-pl-2;
        @include gl-pr-6;
      }
    }
  }

  &-sm {
    .gl-label-text {
      @include gl-px-3;
      @include gl-py-0;
    }

    .gl-label-icon {
      @include gl-py-0;
    }
  }
}

.gl-label-tooltip-title {
  @include gl-display-block;
  @include gl-text-theme-indigo-300;
  @include gl-font-weight-bold;
}
